Package wx :: Package lib :: Package agw :: Module labelbook :: Class LabelBook

[frames | no frames]

## Type LabelBook

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                  FlatBookBase --+
                                 |
                                LabelBook

An implementation of a notebook control - except that instead of having tabs to show labels, it labels to the right or left (arranged horozontally).

Method Summary
| ``__init__`(self, parent, id, pos, size, style, name)` Default class constructor.
| ``CreateImageContainer`(self)` Creates the image container (LabelContainer).
| ``GetColour`(self, which)` Returns the colour for the specified parameter.
| ``OnSize`(self, event)` Handles the wx.EVT_SIZE for LabelBook.
| ``SetColour`(self, which, color)` Sets the colour for the specified parameter.

Property Summary

Instance Method Details

### __init__(self, parent, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=0, name='LabelBook')
(Constructor)

Default class constructor.

Parameters: @param parent - parent window @param id - Window id @param pos - Window position @param size - Window size @param style - possible style INB_XXX

  Overrides:
    `wx.lib.agw.labelbook.FlatBookBase.__init__`

### CreateImageContainer(self)

Creates the image container (LabelContainer).

### GetColour(self, which)

Returns the colour for the specified parameter.

### OnSize(self, event)

Handles the wx.EVT_SIZE for LabelBook.

### SetColour(self, which, color)

Sets the colour for the specified parameter.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:13 2009 | http://epydoc.sf.net